name: Test CI

on:
  push:
    branches: [main]

jobs:
  build:
    runs-on: runner

    steps:
    - name: Checkout
      uses: actions/checkout@v4

    - name: Check PWD
      run: |
        echo $PWD
        ls .

    - name: Check Environment
      run: |
        yarn -v
        node -v
        docker -v